Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417876 - [abrt] gnome-software: gdk_pixbuf_finalize(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gdk_pixbuf_finalize(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a015ae3514cddb0611e706dbde3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 10:58 UTC by David Novák
Modified: 2017-12-12 10:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:35:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (52.14 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: core_backtrace (6.50 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: dso_list (11.70 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: environ (1.67 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: maps (54.36 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: mountinfo (3.90 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: open_fds (2.31 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-31 10:58 UTC, David Novák
no flags Details
File: var_log_messages (306 bytes, text/plain)
2017-01-31 10:59 UTC, David Novák
no flags Details

Description David Novák 2017-01-31 10:58:39 UTC
Version-Release number of selected component:
gnome-software-3.22.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gdk_pixbuf_finalize
executable:     /usr/bin/gnome-software
global_pid:     2534
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gdk_pixbuf_finalize at gdk-pixbuf.c:273
 #6 as_icon_finalize at as-icon.c:77
 #8 g_ptr_array_foreach at garray.c:1502
 #9 ptr_array_free at garray.c:1088
 #10 g_ptr_array_unref at garray.c:1036
 #11 gs_app_dispose at gs-app.c:3429
 #13 g_hash_table_remove_all_nodes at ghash.c:548
 #15 g_hash_table_unref at ghash.c:1097
 #16 gs_app_list_finalize at gs-app-list.c:478
 #18 gs_plugin_loader_finalize at gs-plugin-loader.c:3985

Comment 1 David Novák 2017-01-31 10:58:44 UTC
Created attachment 1246152 [details]
File: backtrace

Comment 2 David Novák 2017-01-31 10:58:45 UTC
Created attachment 1246153 [details]
File: cgroup

Comment 3 David Novák 2017-01-31 10:58:47 UTC
Created attachment 1246154 [details]
File: core_backtrace

Comment 4 David Novák 2017-01-31 10:58:48 UTC
Created attachment 1246155 [details]
File: dso_list

Comment 5 David Novák 2017-01-31 10:58:49 UTC
Created attachment 1246156 [details]
File: environ

Comment 6 David Novák 2017-01-31 10:58:51 UTC
Created attachment 1246157 [details]
File: exploitable

Comment 7 David Novák 2017-01-31 10:58:52 UTC
Created attachment 1246158 [details]
File: limits

Comment 8 David Novák 2017-01-31 10:58:54 UTC
Created attachment 1246159 [details]
File: maps

Comment 9 David Novák 2017-01-31 10:58:56 UTC
Created attachment 1246160 [details]
File: mountinfo

Comment 10 David Novák 2017-01-31 10:58:57 UTC
Created attachment 1246161 [details]
File: namespaces

Comment 11 David Novák 2017-01-31 10:58:58 UTC
Created attachment 1246162 [details]
File: open_fds

Comment 12 David Novák 2017-01-31 10:58:59 UTC
Created attachment 1246163 [details]
File: proc_pid_status

Comment 13 David Novák 2017-01-31 10:59:01 UTC
Created attachment 1246164 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:40:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:35:30 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.